Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/forwarding/requests

List all ForwardingRequests

Lists all ForwardingRequest objects.

Request parameters

ParameterLocationTypeDescription
createdqueryobjectSimilar to other List endpoints, filters results based on created timestamp. You can pass gt, gte, lt, and lte timestamp values.
ending_beforequerystringA pagination cursor to fetch the previous page of the list. The value must be a ForwardingRequest ID.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterquerystringA pagination cursor to fetch the next page of the list. The value must be a ForwardingRequest ID.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of forwarding.request
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/forwarding/requests

Create a ForwardingRequest

Creates a ForwardingRequest object.

Request parameters

FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
payment_method requiredstringThe PaymentMethod to insert into the forwarded request. Forwarding previously consumed PaymentMethods is allowed.
replacements requiredarray of stringThe field kinds to be replaced in the forwarded request.
requestobjectThe request body and headers to be sent to the destination endpoint.
url requiredstringThe destination URL for the forwarded request. Must be supported by the config.

Responses

HTTP 200: Successful response.
FieldTypeDescription
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
object requiredstringString representing the object's type. Objects of the same type share the same value.
payment_method requiredstringThe PaymentMethod to insert into the forwarded request. Forwarding previously consumed PaymentMethods is allowed.
replacements requiredarray of stringThe field kinds to be replaced in the forwarded request.
request_contextone of multiple schemasContext about the request from Stripe's servers to the destination endpoint.
request_detailsone of multiple schemasThe request that was sent to the destination endpoint. We redact any sensitive fields.
response_detailsone of multiple schemasThe response that the destination endpoint returned to us. We redact any sensitive fields.
urlstringThe destination URL for the forwarded request. Must be supported by the config.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/forwarding/requests/{id}

Retrieve a ForwardingRequest

Retrieves a ForwardingRequest object.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
idpathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
object requiredstringString representing the object's type. Objects of the same type share the same value.
payment_method requiredstringThe PaymentMethod to insert into the forwarded request. Forwarding previously consumed PaymentMethods is allowed.
replacements requiredarray of stringThe field kinds to be replaced in the forwarded request.
request_contextone of multiple schemasContext about the request from Stripe's servers to the destination endpoint.
request_detailsone of multiple schemasThe request that was sent to the destination endpoint. We redact any sensitive fields.
response_detailsone of multiple schemasThe response that the destination endpoint returned to us. We redact any sensitive fields.
urlstringThe destination URL for the forwarded request. Must be supported by the config.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors